org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver

## Class BulkheadRetryAbortOnSyncBean

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver.BulkheadRetryAbortOnSyncBean

    @Retry(maxRetries=1,
           delay=1000L,
           jitter=0L,
           abortOn=org.eclipse.microprofile.faulttolerance.exceptions.BulkheadException.class)
     @Bulkhead(value=1)
     @ApplicationScoped
    public class BulkheadRetryAbortOnSyncBean
    extends Object

Test to ensure that retries do not occur if BulkheadException is included in abortOn attribute.

Has a bulkhead of size 1

Retries 1 time on any exception except BulkheadException with 1 second delay

### Constructor Summary

Constructors
Constructor and Description
`BulkheadRetryAbortOnSyncBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `test(Barrier barrier)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BulkheadRetryAbortOnSyncBean

    public BulkheadRetryAbortOnSyncBean()

### Method Detail

#### test

    public void test(Barrier barrier)